メインコンテンツへスキップ
POST
/
v1
/
public
/
accounts
/
{account_id}
/
billing
/
change-plan
課金プランを変更
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/billing/change-plan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "effective_date": "2023-11-07T05:31:56Z"
}
'
{
  "status": "<string>",
  "account_status": "<string>",
  "effective_at": "2023-11-07T05:31:56Z",
  "eligible": true,
  "previous_plan_id": "<string>",
  "target_plan_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

パスパラメータ

account_id
string<uuid>
必須

ボディ

application/json

アカウントのサブスクリプションプランを変更する顧客要求スキーマ。

plan_id
enum<string>
必須

対象の料金プランID

利用可能なオプション:
smtp_per_mailbox,
smtp_per_proxy
effective_date
string<date-time> | null

計画変更の要求された発効日

レスポンス

status
string
必須

課金動作状況

account_status
string | null

操作後のアカウントのステータス

effective_at
string<date-time> | null

請求変更が有効になった時期

eligible
boolean | null

アカウントが操作の対象となったかどうか

previous_plan_id
string | null

以前の料金プラン ID

target_plan_id
string | null

対象の料金プランID